Subject: zope 2.0.0
From: "David J Detlefsen" <[email-masked]>
To: [email-masked]
Date: Mon, 06 Sep 1999 10:37:52 -0400

I'm not sure if this is the right place to ask this...

I've run into the following error after trying:
          python1.5 wo_pcgi.py to install zope2.0.0

Here's the last bit of output where the error seems to be:
Traceback (innermost last):
   File "wo_pcgi.py", line 115, in ?
       if  __name__=='__main__': main(sys.argv[0])
   File "wo_pcgi.py", line 106, in main
        import zpasswd; zpasswd.write_access(home, user, group)
   File "/home/david/Zope-2.0.0-src/zpasswd.py",  line 90, in ?
       import sys, string, sha, binascii, whrandom, getopt, getpass, os
ImportError:  No module names sh

Here's what I've checked:
  - I am using python 1.5.2 and it appears to be working
  - I am using linuxppc R5 (june 1999)
  - PowerMac 9600 with NewerTech 400 MHz G3

It appears that the zpasswd.py script (duh) is causing some problems in
that the sha.py  module is nowhere to be found...am I missing some files
or ill-configured?

Thanks,
Dave Detlefsen

ps...I'd use the binaries if they were available!